[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashObjectList.OwnsObjects

Does the list own the objects it contains

## Declaration

Source position: contnrs.pp line 330

`public property TFPHashObjectList.OwnsObjects : Boolean read FFreeObjects write FFreeObjects;`

## Description

OwnsObjects determines what to do when an object is removed from the list: if it is True (the default), then the list owns the objects: when an object is removed from the list, it is destroyed (freed from memory). Clearing the list will free all objects in the list.

The value of OwnsObjects is set when the hash list is created, and may not be changed during the lifetime of the hash list. (The property is made read-only in versions later than 3.0 of Free Pascal).

## See also

TFPHashObjectList.Create |  | Create a new instance of the hashlist